iT邦幫忙

0

freenas/truenas 建立儲存集區遇到問題!

建立儲存集區遇到問題:

Error: concurrent.futures.process._RemoteTraceback:
"""
Traceback (most recent call last):
File "/usr/local/lib/python3.8/concurrent/futures/process.py", line 239, in _process_worker
r = call_item.fn(*call_item.args, **call_item.kwargs)
File "/usr/local/lib/python3.8/site-packages/middlewared/worker.py", line 91, in main_worker
res = MIDDLEWARE._run(*call_args)
File "/usr/local/lib/python3.8/site-packages/middlewared/worker.py", line 45, in _run
return self._call(name, serviceobj, methodobj, args, job=job)
File "/usr/local/lib/python3.8/site-packages/middlewared/worker.py", line 39, in _call
return methodobj(*params)
File "/usr/local/lib/python3.8/site-packages/middlewared/worker.py", line 39, in _call
return methodobj(*params)
File "/usr/local/lib/python3.8/site-packages/middlewared/schema.py", line 977, in nf
return f(*args, **kwargs)
File "/usr/local/lib/python3.8/site-packages/middlewared/plugins/zfs.py", line 111, in do_create
zfs.create(data['name'], topology, data['options'], data['fsoptions'])
File "libzfs.pyx", line 391, in libzfs.ZFS.exit
File "/usr/local/lib/python3.8/site-packages/middlewared/plugins/zfs.py", line 111, in do_create
zfs.create(data['name'], topology, data['options'], data['fsoptions'])
File "libzfs.pyx", line 1294, in libzfs.ZFS.create
File "libzfs.pyx", line 977, in libzfs.ZFS.errstr.get
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xe5 in position 19: invalid continuation byte
"""

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/usr/local/lib/python3.8/site-packages/middlewared/job.py", line 361, in run
await self.future
File "/usr/local/lib/python3.8/site-packages/middlewared/job.py", line 397, in __run_body
rv = await self.method(*([self] + args))
File "/usr/local/lib/python3.8/site-packages/middlewared/schema.py", line 973, in nf
return await f(*args, **kwargs)
File "/usr/local/lib/python3.8/site-packages/middlewared/plugins/pool.py", line 753, in do_create
raise e
File "/usr/local/lib/python3.8/site-packages/middlewared/plugins/pool.py", line 690, in do_create
z_pool = await self.middleware.call('zfs.pool.create', {
File "/usr/local/lib/python3.8/site-packages/middlewared/main.py", line 1238, in call
return await self._call(
File "/usr/local/lib/python3.8/site-packages/middlewared/main.py", line 1195, in _call
return await methodobj(*prepared_call.args)
File "/usr/local/lib/python3.8/site-packages/middlewared/service.py", line 455, in create
rv = await self.middleware._call(
File "/usr/local/lib/python3.8/site-packages/middlewared/main.py", line 1203, in _call
return await self._call_worker(name, *prepared_call.args)
File "/usr/local/lib/python3.8/site-packages/middlewared/main.py", line 1209, in _call_worker
return await self.run_in_proc(main_worker, name, args, job)
File "/usr/local/lib/python3.8/site-packages/middlewared/main.py", line 1136, in run_in_proc
return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
File "/usr/local/lib/python3.8/site-packages/middlewared/main.py", line 1110, in run_in_executor
return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xe5 in position 19: invalid continuation byte
有大神可以幫幫忙嗎?
照片檔案:
https://ithelp.ithome.com.tw/upload/images/20210131/20128102cLABAroFgi.png
https://ithelp.ithome.com.tw/upload/images/20210131/20128102OLQor5jR63.png

froce iT邦大師 1 級 ‧ 2021-02-01 08:08:10 檢舉
不要建中文的試試。

1 個回答

0
goodnight
iT邦研究生 3 級 ‧ 2021-02-02 14:21:45

如 force 說的, 只能接受, 英文和數字
然後在開啟共用後, 共用的資料夾才能使用中文

儲存集區只能是英數字組合(圖一), 開共用的時候, 共用顯示的名稱可用中文(圖二)
最後windows連入共用的資料區, 就可以建立中文的資料夾 (圖三)

https://ithelp.ithome.com.tw/upload/images/20210202/20001633ozizrkDUZN.jpg

https://ithelp.ithome.com.tw/upload/images/20210202/20001633P5ylHAx0mA.jpg

從windows連入共用的資料集區, 就可以建立中文的資料夾
https://ithelp.ithome.com.tw/upload/images/20210202/20001633URF6YFXWxT.jpg

我要發表回答

立即登入回答